NX Open C++ Reference Guide
|
Builder for creating Polygon Face by boundary
To create a new instance of this class, use CAE::AbstractionManager::CreateFaceFromBoundaryBuilder
Created in NX8.5.0.
More...
Public Member Functions | |
void | AddSelectedPointPairs () |
Designate the join of the first and second pt by a straight edge (joining the ends of open loop segments). | |
NXOpen::CAE::SelectCAEEdgeList * | EdgeSelection () |
Returns the polygon edge selection to create a face from boundary Created in NX8.5.0. | |
NXOpen::Point * | FirstPtSelect () |
Returns the first pt to join the ends of open edges in the loop. | |
NXOpen::CAE::SelectCAEBody * | PolygonBodySelection () |
Returns the polygon body selection to assign the newly created face Created in NX8.5.0. | |
NXOpen::Point * | SecondPtSelect () |
Returns the second pt to join the ends of open edges in the loop. | |
void | SetFirstPtSelect (NXOpen::Point *firstPtSelect) |
Sets the first pt to join the ends of open edges in the loop. | |
void | SetSecondPtSelect (NXOpen::Point *secondPtSelect) |
Sets the second pt to join the ends of open edges in the loop. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Builder for creating Polygon Face by boundary
To create a new instance of this class, use CAE::AbstractionManager::CreateFaceFromBoundaryBuilder
Created in NX8.5.0.
void NXOpen::CAE::FaceFromBoundaryBuilder::AddSelectedPointPairs | ( | ) |
Designate the join of the first and second pt by a straight edge (joining the ends of open loop segments).
Created in NX8.5.0.
License requirements : None
NXOpen::CAE::SelectCAEEdgeList* NXOpen::CAE::FaceFromBoundaryBuilder::EdgeSelection | ( | ) |
Returns the polygon edge selection to create a face from boundary
Created in NX8.5.0.
License requirements : None
NXOpen::Point* NXOpen::CAE::FaceFromBoundaryBuilder::FirstPtSelect | ( | ) |
Returns the first pt to join the ends of open edges in the loop.
Created in NX8.5.0.
License requirements : None
NXOpen::CAE::SelectCAEBody* NXOpen::CAE::FaceFromBoundaryBuilder::PolygonBodySelection | ( | ) |
Returns the polygon body selection to assign the newly created face
Created in NX8.5.0.
License requirements : None
NXOpen::Point* NXOpen::CAE::FaceFromBoundaryBuilder::SecondPtSelect | ( | ) |
Returns the second pt to join the ends of open edges in the loop.
Created in NX8.5.0.
License requirements : None
void NXOpen::CAE::FaceFromBoundaryBuilder::SetFirstPtSelect | ( | NXOpen::Point * | firstPtSelect | ) |
Sets the first pt to join the ends of open edges in the loop.
Created in NX8.5.0.
License requirements : None
firstPtSelect | firstptselect |
void NXOpen::CAE::FaceFromBoundaryBuilder::SetSecondPtSelect | ( | NXOpen::Point * | secondPtSelect | ) |
Sets the second pt to join the ends of open edges in the loop.
Created in NX8.5.0.
License requirements : None
secondPtSelect | secondptselect |